### Virtual Method

# Ide DeployStrategy create_runner_finish

#### Declaration

    IdeRunner*
    create_runner_finish (
      IdeDeployStrategy* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to get an `IdeRunner` for the current device.

Available since: | 41

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeRunner`
| An `IdeRunner` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.